

<div class="container">
    <mat-card>
        <mat-card-title>
            currency converter
        </mat-card-title>
        <mat-card-content>
            <form #f="ngForm" (ngSubmit)="onSubmit()">
                <input name="amount" id="amount" type="number" placeholder="Enter amount" [(ngModel)]="inp.amount">
                <br>
                <select name="From" id="from" [(ngModel)]="inp.from">
                    <option value="From">From</option>
                    <option value="USD">USD</option>
                    <option value="INR">INR</option>
                    <option value="JPY">JPY</option>
                    <option value="BRL">BRL</option>
                </select>
                <select name="To" id="to" [(ngModel)]="inp.to">
                    <option value="To">To</option>
                    <option value="USD">USD</option>
                    <option value="INR">INR</option>
                    <option value="JPY">JPY</option>
                    <option value="BRL">BRL</option>
                </select>
                <button type="submit">Calculate</button>
            </form>
        </mat-card-content>
    </mat-card>
</div>
{{res}}
